Rated 2 out of 5 stars

Not compatible with Firefox 3.5.2 [latest update] but there's no notice. Why?

This review is for a previous version of the add-on (0.8).